Get customization
curl --request GET \
--url https://api.getmonitor.io/api/v1/status-pages/{id}/customizationimport requests
url = "https://api.getmonitor.io/api/v1/status-pages/{id}/customization"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getmonitor.io/api/v1/status-pages/{id}/customization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "zmrswrb0owl4zrabxhhhahz7",
"statusPageId": "c1rui6avx08bx20fr3bne9vy",
"primaryColor": "#1fb876",
"accentColor": "#10b981",
"backgroundColor": "#ffffff",
"foregroundColor": "#1f2937",
"primaryForegroundColor": "#ffffff",
"cardColor": "#ffffff",
"cardForegroundColor": "#1f2937",
"mutedColor": "#f1f5f9",
"mutedForegroundColor": "#475569",
"borderColor": "#e2e8f0",
"textColor": "#1f2937",
"useDarkTheme": false,
"shadowStyle": "sm",
"borderRadiusStyle": "md",
"showSubscriptionButton": true,
"showRecentUpdatesSection": true,
"defaultLanguage": "pt-BR",
"headerDisplayName": "GetMonitor",
"hideHeaderName": true,
"customCss": null,
"customHeaderHtml": null,
"customFooterHtml": null,
"createdAt": "2026-06-04T13:57:56.731Z",
"updatedAt": "2026-09-19T20:34:31.121Z"
}Status Pages
Get customization
Returns the page customization, or 200 with an empty body when it uses the defaults.
Authentication: No authentication. Anyone can call this endpoint.
GET
/
api
/
v1
/
status-pages
/
{id}
/
customization
Get customization
Path Parameters
Status page ID.
Response
200 - application/json
OK. The body is empty when there is nothing to return.